<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Projects & Experience</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <link rel="icon" href="https://i.imgur.com/P5WALti.png">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700" rel="stylesheet">

    <link rel="stylesheet" href="sameer/css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="sameer/css/animate.css">
    
    <link rel="stylesheet" href="sameer/css/owl.carousel.min.css">
    <link rel="stylesheet" href="sameer/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="sameer/css/magnific-popup.css">

    <link rel="stylesheet" href="sameer/css/aos.css">

    <link rel="stylesheet" href="sameer/css/ionicons.min.css">

    <link rel="stylesheet" href="sameer/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="sameer/css/jquery.timepicker.css">

    
    <link rel="stylesheet" href="sameer/css/flaticon.css">
    <link rel="stylesheet" href="sameer/css/icomoon.css">
    <link rel="stylesheet" href="sameer/css/style.css">
  </head>
  <body>

	<div id="colorlib-page">
		<a href="#" class="js-colorlib-nav-toggle colorlib-nav-toggle"><i></i></a>
		<aside id="colorlib-aside" role="complementary" class="js-fullheight text-center">
			<h1 id="colorlib-logo"><a href="index.html">sameer<span>.</span></a></h1>
			<nav id="colorlib-main-menu" role="navigation">
				<ul>
					<li><a href="index.html">Home</a></li>
					<li class="colorlib-active"><a href="Projects.html">Projects & Experience</a></li>
					<li><a href="PhotoGallery.html">Photo Gallery</a></li>
					<li><a href="mailto:sameerkarim97@gmail.com">Contact</a></li>
				</ul>
			</nav>

			<div class="colorlib-footer">
				<p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. All rights reserved | This template is made with <i class="icon-heart" aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>-->
            Connect with me on social media!				
            <ul>
					<li><a href="https://twitter.com/skarim94"><i class="icon-twitter"></i></a></li>
					<li><a href="https://www.instagram.com/_sameerkarim"><i class="icon-instagram"></i></a></li>
					<li><a href="https://www.linkedin.com/in/sameer-karim"><i class="icon-linkedin"></i></a></li>
				</ul>
			</div>
		</aside> <!-- END COLORLIB-ASIDE -->
		<div id="colorlib-main">
			<div class="hero-wrap js-fullheight" style="background-image: url(https://i.imgur.com/VxBxMNj.jpg);" data-stellar-background-ratio="0.5">
				<div class="overlay"></div>
				<div class="js-fullheight d-flex justify-content-center align-items-center">
					<div class="col-md-8 text text-center">
						<div class="desc">
							<h1 class="mb-4">Projects & Experience</h1>
							<p class="mb-4" style="color: #343a40">After completing my first technology internship, I was inspired
							by one of the developers I worked with this summer to build my own website and consolidate some of the 
						personal and professional aspects of my life. Scroll down below to read about some of the projects I have 
					worked on!</p>
						</div>
					</div>
				</div>
			</div>
			<section class="ftco-section">
    	<div class="container">
    		<div class="row justify-content-center mb-5 pb-2">
          <div class="col-md-7 heading-section text-center ftco-animate">
			<h2 class="mb-4" style="text-shadow: -3px -3px 5px lightgray;">PNC Financial Services</h2>
			<h4>Technology Intern - Pittsburgh, PA - Summer 2019</h4>
            <p>My first technology internship at PNC was extremely enlightening and resourceful. I was placed in the process improvement department of their Technology Business Function and assigned to a diverse collection of projects. Most of my work was in the form of short, week long user stories. My main long term projects included a metric revisualization capstone project, some feature implementations and adjustments on PNC's project management website, and a Agile/Waterfall SDLC user story that involved fixing a project management process.</p>

			<p>- My capstone project this summer was to revisualize PNC's Top 10 Metrics graphic that they use to measure how well their technology implementations are progressing over time. The current graphic is rather complex and difficult to understand. It would take executives a long time to obtain the relevant information. My group was tasked with reworking the graphic while keeping all of the important information on 1 page. We came together as a group and decided on a few concepts that we liked, and ran them by the business owners of the current graphic. They liked our ideas, and with some feedback, we refined our idea and implemented features that we thought were important. Obviously I cannot go into detail, as the information is proprietary to PNC, but the business owners were very happy with the final product and were ready to use some of the features we came up with!</p>
					
			<p>- PNC's project management website is built in React.js with a SharePoint overlay, so I was able to learn quite a bit about the intracacies of React, Typescript, and SCSS. Most of the assignments I worked on were relatively small--table style changes, content updates and minor bug fixes in Microsoft Edge.</p>
					
			<p>- The last main project I worked on involved creating guidance for teams that were running a project in the Waterfall SDLC, but needed to incorporate Agile teams to help them with completing some of their deliverables. This created confusion in tracking the time and budget. Over the course of about 6 weeks, I was in charge of contacting various SMEs and pulling all of the relevant information together so that a concrete guidance could be developed and placed on PNC's enterprise repository.</p>
        
      <hr>

      <h2 class="mb-4" style="text-shadow: -3px -3px 5px lightgray;">Advanced Java Application Development Project</h2>
      <h4> Java Developer - University of Houston - Fall 2019</h4>
      <p>My project for Advanced Java Development was to develop an application for a business of my choice. The application
        would have to operate with at least 4 tables which share a relation. For example, I chose to make my application for a 
      grocery store, with tables Customer, Product, Transaction, and Employee (a customer buys a product, therefore a transaction 
      is created by a certain employee). The user needs to be able to query the tables, and be presented with the results. The database
      had to be hosted remotely as well, I used Remote MySQL. UI was done with JavaFX.</p>
      <img src="Pics/javascreenshot.png" alt="Court" style="box-shadow: -5px -5px 5px lightgray;" width="100%;">
        <hr>

			<h2 class="mb-4" style="text-shadow: -3px -3px 5px lightgray;">Database Administration & Implementation</h2>
			<h4>Java Developer - University of Houston - Fall 2019</h4>
			<p>In my Database Administration & Implementation class, our project was a piggy back off of my SaD project (see below). We were
        tasked with developing a full working inventory manager GUI for a real business; we chose one of my teammates' workplace, Court 
        Hardware. Of my group, I was the only member who had Java experience, making me the sole developer of the group. Personally, this 
        was one of the most challenging projects I have taken on. I was able to develop a full working GUI which I connected to a 
        SQL database via a JDBC driver, so that our client can update the data on the application. 
      </p>
      <img src="Pics/courthardwareex.png" alt="Court" style="box-shadow: -5px -5px 5px lightgray;" width="100%;">
         <hr>

      <h2 class="mb-4" style="text-shadow: -3px -3px 5px lightgray;">Systems Analysis & Design Capstone Project</h2>
     <h4>Project Leader - University of Houston - Spring 2019</h4>
     <p>During my Systems Analysis & Design class, we were assigned a project to essentially become a real company's IT department.
       The organization we chose was a restaurant called Hibachi Grill & Buffet, located in Katy, Texas. Before we came into the picture,
       HG&B was handling all of their reservations and orders solely through paper records. We decided to design a reservation system 
       that dynamically handles reservations and graphically displays which tables are occupied/reserved/unoccupied. Our concept has been 
       designed and approved, now we must move into the development phase! Excited for what the real application will look like. 
     </p>
            <hr>

     <h2 class="mb-4" style="text-shadow: -3px -3px 5px lightgray;">Apple</h2>
     <h4>Specialist - The Woodlands, TX - September 2019-Present</h4>
     <p>For about a year, I have been working part time at an Apple store, to further my skills as an active listener and better 
       communicator. I have gained some invaluable skills and broader perspectives while working at the store, meeting people of 
       different backgrounds with very different needs. Trying to find the perfect solution for customer's needs and making sure 
       they feel comfortable in that solution is my main responsibility. Constant communication, understanding the big picture, and 
       learning quickly are just some of the few skills that I believe are not only important at this job, but in almost any professional
       environment. 
     </p>

    </div>
        </div>

  <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
          </div>
        </div>
      </div>
		

  <!-- loader -->
  <div id="ftco-loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#F96D00"/></svg></div>


  <script src="sameer/js/jquery.min.js"></script>
  <script src="sameer/js/jquery-migrate-3.0.1.min.js"></script>
  <script src="sameer/js/popper.min.js"></script>
  <script src="sameer/js/bootstrap.min.js"></script>
  <script src="sameer/js/jquery.easing.1.3.js"></script>
  <script src="sameer/js/jquery.waypoints.min.js"></script>
  <script src="sameer/js/jquery.stellar.min.js"></script>
  <script src="sameer/js/owl.carousel.min.js"></script>
  <script src="sameer/js/jquery.magnific-popup.min.js"></script>
  <script src="sameer/js/aos.js"></script>
  <script src="sameer/js/jquery.animateNumber.min.js"></script>
  <script src="sameer/js/bootstrap-datepicker.js"></script>
  <script src="sameer/js/jquery.timepicker.min.js"></script>
  <script src="sameer/js/scrollax.min.js"></script>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBVWaKrjvy3MaE7SQ74_uJiULgl1JY0H2s&sensor=false"></script>
  <script src="sameer/js/google-map.js"></script>
  <script src="sameer/js/main.js"></script>
    
  </body>
</html>